# vue-kit

Vue 2.x 开发工具/组件包，提供标准功能支持

[在线示例](https://hyjiacan.github.io/vue-kit)

## 安装

```shell script
npm i @hyjiacan/vue-kit
```

或

```shell script
yarn add @hyjiacan/vue-kit
```

## 依赖

- `echarts`
- `echarts-gl`

## 组件列表

- Anchor
- AnchorBox
- ECharts
- Highlight
- Layout
- SortButton
- SortButtonGroup
- XList
- XListItem
- XMenu
- XMenuChildren
- XMenuItem

## 用法

> 暂时没有时间编写文档
>
## 第三方组件

- `@hyjican/vue-slideout` https://hyjiacan.github.io/vue-slideout/
- `@hyjican/vue-ellipsis` https://hyjiacan.github.io/vue-ellipsis/
- `splitpanes` https://antoniandre.github.io/splitpanes/

## 开发

```shell script
yarn
# start dev server
yarn serve
```

在发布时，使用命令

```shell script
# Build library
yarn release [-l]
```

`-l` (`--lock-version`) 参数表示锁定版本号 
