import DatePicker from './pickers/date-picker'

import './icons/iconfont.css'
import './misc/style.less'
import util from './misc/util'

const formatter = {
  format: util.format,
  parse: util.parse
}

function install (Vue, options) {
  Vue.component(DatePicker.name, DatePicker)
  options = {
    formatter: '$date',
    ...options
  }
  Vue.prototype[options.formatter] = formatter
}

export default {
  install
}

export {
  DatePicker,
  formatter
}
